import React from 'react';
import { ChangeRoute } from './change-route';

describe('<ChangeRoute />', () => {
  test('should match snapshot', () => {
    const wrapper = shallow(<ChangeRoute to="/test/" />);
    expect(wrapper).toMatchSnapshot();
  });

  describe('when static to is called', () => {
    test('should create component and render', () => {
      const Component = ChangeRoute.to('/another/');
      const wrapper = shallow(<Component />);
      expect(wrapper).toMatchSnapshot();
    });
  });
});
