import React from 'react';
import { RouteLink } from './route-link';

describe('<RouteLink />', () => {
  test('should render snapshot + href', () => {
    const wrapper = shallow(<RouteLink href="/test/" to="/test/" />);
    expect(wrapper).toMatchSnapshot();
  });

  test('should render snapshot', () => {
    const wrapper = shallow(<RouteLink to="/test/" />);
    expect(wrapper).toMatchSnapshot();
  });
});
